<template>
  <v-card class="step">
    <v-row align="center">
      <v-col cols="6" class="text-h5">LEAD II: Irregular P waves that change shape</v-col>
      <v-col cols="1">
        <v-switch v-model="wanderingP"></v-switch>
      </v-col>
      <v-col cols="1">
        <v-icon>
          $WanderingP
        </v-icon>
      </v-col>
    </v-row>
    <v-row align="center">
      <v-col cols="6" class="text-h5">LEAD V1: No discernible P waves - instead we see erratic spikes, irregular ventricular rhythm(QRS)</v-col>
      <v-col cols="1">
        <v-switch v-model="atrialFib"></v-switch>
      </v-col>
      <v-col cols="1">
        <v-icon>
          $AtrialFib
        </v-icon>
      </v-col>
    </v-row>
    <v-row align="center">
      <v-col cols="6" class="text-h5">A pause between two cycles followed by a P wave that looks different to the others, the rhythm
        then goes back to normal
      </v-col>
      <v-col cols="1">
        <v-switch v-model="atrialEscapeBeat"></v-switch>
      </v-col>
      <v-col cols="1">
        <v-icon>
          $AtrialEscapeBeat
        </v-icon>
      </v-col>
    </v-row>
    <v-row>
      <v-col>
        <v-alert class="text-h6" border="left" color="pink" dark v-for="item in stepConclusions('rhythmI')" :key="item.diagnosis">
          {{ item.motivation + ': '}} <span class="font-weight-bold">{{item.diagnosis}}</span>
        </v-alert>
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
import { mapState, mapGetters } from 'vuex';

export default {
  name: 'RhythmI',
  computed: {
    ...mapState(['wanderingP', 'atrialFib', 'atrialEscapeBeat']),
    ...mapGetters([
      'stepConclusions',
    ]),
    wanderingP: {
      get() {
        return this.$store.state.wanderingP;
      },
      set(value) {
        this.$store.commit('setWanderingP', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    atrialFib: {
      get() {
        return this.$store.state.atrialFib;
      },
      set(value) {
        this.$store.commit('setAtrialFib', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    atrialEscapeBeat: {
      get() {
        return this.$store.state.atrialEscapeBeat;
      },
      set(value) {
        this.$store.commit('setAtrialEscapeBeat', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
  },

};
</script>

<style scoped>

</style>
